This site is now 100% read-only, and retired.

XML logo

Kernel images in etch broke?
Posted by tong on Wed 28 Jun 2006 at 01:09
Tags: none.
[The following message is reposted from gmane.linux.debian.user, which has been sittng there for a while...]

On Sun, 25 Jun 2006 16:19:48 -0400, Tong wrote:

> I got the "pre-installation script returned error" during package
> installation. Is there any solution / workaround? What else should I
> check?
>
> thanks
>
> Tong
>
> PS. here is the full info:
>
> Installing linux-image-2.6.15-1-k7 under etch failed:
>
> % apt-get install linux-image-2.6.15-1-k7 Suggested packages:
> linux-doc-2.6.15 linux-source-2.6.15 lilo grub fdutils
> Recommended packages:
> libc6-i686
> The following NEW packages will be installed:
> linux-image-2.6.15-1-k7
> 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
> Preconfiguring packages ...
> (Reading database ... 52510 files and directories currently installed.)
> Unpacking linux-image-2.6.15-1-k7 (from
> .../linux-image-2.6.15-1-k7_2.6.15-8_i386.deb) ... Ok, Aborting dpkg:
> error processing
> /var/cache/apt/archives/linux-image-2.6.15-1-k7_2.6.15-8_i386.deb
> (--unpack):
> subprocess pre-installation script returned error exit status 1
> Errors were encountered while processing:
> /var/cache/apt/archives/linux-image-2.6.15-1-k7_2.6.15-8_i386.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)

I just format the disk and did a clean base system installation then tried
again. Same error.

Installing linux-image-2.6.15-1-686 is broken too:

The following extra packages will be installed:
linux-image-2.6.15-1-686
Suggested packages:
linux-doc-2.6.15 linux-source-2.6.15 lilo grub fdutils
Recommended packages:
libc6-i686
The following NEW packages will be installed:
linux-image-2.6.15-1-686
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded. 2 not fully
installed or removed.
Need to get 0B/15.8MB of archives.
After unpacking 45.1MB of additional disk space will be used. Do you want
to continue [Y/n]?
Preconfiguring packages ...
(Reading database ... 7356 files and directories currently installed.)
Unpacking linux-image-2.6.15-1-686 (from
.../linux-image-2.6.15-1-686_2.6.15-8_i386.deb) ... Ok, Aborting
dpkg: error processing
/var/cache/apt/archives/linux-image-2.6.15-1-686_2.6.15-8_i386.deb
(--unpack):
subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/linux-image-2.6.15-1-686_2.6.15-8_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)